# $Revision: 1.44 $, $Date: 2012/07/01 21:10:37 $
Summary:	Emacs News and Mail reader
Summary(pl.UTF-8):	Emacsowy czytnik poczty oraz grup usenet
Name:		xemacs-gnus-pkg
Version:	1.94
Release:	2
Epoch:		1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/gnus-%{version}-pkg.tar.gz
# Source0-md5:	e7a90a1e3eb657623697a9997d3d4d17
URL:		http://www.gnus.org/
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	xemacs
Requires:	xemacs-eterm-pkg
Requires:	xemacs-fsf-compat-pkg
Requires:	xemacs-mailcrypt-pkg
Requires:	xemacs-mail-lib-pkg
Requires:	xemacs-mh-e-pkg
Requires:	xemacs-w3-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
You can read news (and mail) from within XEmacs by using Gnus. The
news can be gotten by any nefarious means you can think of -- NNTP,
local spool or your mbox file. All at the same time, if you want to
push your luck.

%description -l pl.UTF-8
Dzięki pakietowi Gnus można czytać newsy i pocztę z użyciem XEmacsa.
Gnus może pobierać listy z najróżniejszych źródeł w tym z lokalnego
spoola jak i plików mbox.

%package -n xemacs-gnus-info-pkg
Summary:	Info documentation for GNUS
Summary(pl.UTF-8):	Dokumentacja info dla GNUSa
Group:		Applications/Editors/Emacs
Requires:	xemacs-gnus-pkg = %{epoch}:%{version}

%description -n xemacs-gnus-info-pkg
Info documentation for GNUS.

%description -n xemacs-gnus-info-pkg -l pl.UTF-8
Dokumentacja info dla GNUSa.

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%post -n xemacs-gnus-info-pkg	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -n xemacs-gnus-info-pkg	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/gnus/GNUS-NEWS lisp/gnus/ChangeLog*
%{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages%{_sysconfdir}/*

%files -n xemacs-gnus-info-pkg
%defattr(644,root,root,755)
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-gnus-pkg.spec,v $
Revision 1.44  2012/07/01 21:10:37  baggins
- rel 2
- epoch in internal deps

Revision 1.43  2012/07/01 16:56:11  baggins
- use xemacs gnus package, see http://www.gnus.org/ why

Revision 1.42  2011/02/02 15:17:38  sparky
- package only info files from %{_infodir} (do not package %{_infodir}/dir)

Revision 1.41  2008/01/24 01:55:34  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.40  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.39  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.38  2006/06/09 17:27:50  wolf
- %prep after %package

Revision 1.37  2004/05/22 19:35:19  qboosh
- pl cosmetic

Revision 1.36  2004/04/26 19:28:36  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.35  2004/03/03 04:20:50  twittner
- typo
- fix for aclocal (mv aclocal.m4 acinlude.m4)

Revision 1.34  2003/09/09 10:24:59  ankry
- spaces -> tab

Revision 1.33  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.32  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:28:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2002/11/29 22:47:53  ankry
- massive attack: new %%doc

Revision 1.29  2002/11/07 13:28:38  qboosh
- don't require self

Revision 1.28  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/05/21 23:15:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.26  2002/02/23 05:20:03  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:30:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:15:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/10/22 22:27:23  misiek
- moved info into separate subpackage (now it's possible to have xemacs and emacs installed at the same time)

Revision 1.22  2001/08/21 18:52:38  kloczek
- regenerate ac files.

Revision 1.21  2001/08/20 21:23:25  kloczek
- release 2,
- spec adapterized.

Revision 1.20  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.18  2001/05/02 10:04:54  klakier
- rmail removed from requires (obsoleted)

Revision 1.17  2001/04/24 20:16:02  misiek
more requires

Revision 1.16  2001/04/24 18:27:27  kloczek
- added xemacs to Reqires.

Revision 1.15  2001/04/24 15:14:25  kloczek
- added xemacs to BuildRequires.

Revision 1.14  2001/04/24 14:59:18  misiek
- pl summary
- use official ftp server
- %%configure instead of ./configure

Revision 1.13  2001/04/24 14:46:23  kloczek
- added longer %description and also pl %description :)

Revision 1.12  2001/04/24 11:55:06  klakier
- fixed smileys

Revision 1.11  2001/04/24 11:20:33  klakier
- added smileys

Revision 1.10  2001/04/24 10:23:04  klakier
- gnus from gnus.org (not from xemacs/packages)
